DIAMETERC(1)

NAME
diameterc - Compile a diameter dictionary to Erlang source.

Synopsis
diameterc [<options>] <file>

Description
The diameterc utility is used to compile a diameter dictionary file into Erlang source. The resulting source implements the interface diameter required to encode and decode the dictionary's messages and AVPs.

The module m:diameter_make provides an alternate compilation interface.Compile a single dictionary file to Erlang source. Valid options are as follows.

•   **-i

    Multiple -i options can be specified.

•   **-o

•   -E - Suppress .erl file generation.

•   -H - Suppress .hrl file generation.

•   --name name - Name the output module.

•   --prefix prefix - Transform the input dictionary before compilation, setting *@name* or *@prefix* to the specified string.

•   --inherits arg - Transform the input dictionary before compilation, appending *@inherits* of the specified string.

    Two forms of --inherits have special meaning:

    --inherits -
    --inherits Prev/Mod

    The first has the effect of clearing any previous inherits, the second of replacing a previous inherits of Prev to one of Mod. This allows the semantics of the input dictionary to be changed without modifying the file itself.

    Multiple --inherits options can be specified.

    Returns 0 on success, non-zero on failure.m:diameter_make, diameter_dict(4)